__gnu_cxx::__scoped_lock(3cxx)

NAME
__gnu_cxx::__scoped_lock - Scoped lock idiom.

SYNOPSIS

#include <concurrence.h>

  Public Types

typedef __mutex __mutex_type

  Public Member Functions

__scoped_lock (__mutex_type &__name)

Detailed Description

Scoped lock idiom.

Definition at line 228 of file concurrence.h.

Member Typedef Documentation

  typedef __mutex __gnu_cxx::__scoped_lock::__mutex_type

Definition at line 231 of file concurrence.h.

Constructor & Destructor Documentation

  __gnu_cxx::__scoped_lock::__scoped_lock (__mutex_type & __name) [inline], [explicit]

Definition at line 240 of file concurrence.h.

  __gnu_cxx::__scoped_lock::~__scoped_lock () [inline]

Definition at line 243 of file concurrence.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.